Subject: Fwd: Use different image filtering when zooming in vs zooming out

From: David Ponce <[email-masked]>
Date: Fri, 14 Aug 2020 08:03:04 +0200

Hello,

With this patch applied (https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=519a93e067f459ceddb57573261a52118086b73d), I noticed that small icon images look bad with image defaut attributes, but look as expected when I add the attribute :scale 1 (see the attached screenshots). The issue is that by default on an HiDPI screen, images are scaled up (in my configuration the default scale is 1.2).

I don't know if there is a way to force the smoothing behavior, if not, maybe an image attribute could be considered ?

Thanks!